const aliases = /* @__PURE__ */ new Map([
  ["enhancement", "type: feature"],
  ["help wanted", "status: accepting prs"]
]);
function getExistingEquivalentLabels(existingLabels, outcomeLabelName) {
  const outcomeTrimmed = outcomeLabelName.replace(/\w+: (\w+)/, "$1");
  return existingLabels.filter(({ name: existingName }) => {
    return existingName === outcomeLabelName || existingName === outcomeTrimmed || aliases.get(existingName) === outcomeLabelName || existingName.replace(/\w+: (\w+)/, "$1") === outcomeLabelName;
  });
}
export {
  getExistingEquivalentLabels
};
//# sourceMappingURL=getExistingEquivalentLabels.js.map